Subject: Ticket Assigned -
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 09 Apr 2022 04:53:38 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.   Contacted
Hi,
My name is Enrica Vincenzi.
I am keeping receiving a mail that I didn't collect my item bought through
click and collect. I collected two days ago from the selected mall,
Dierfield mall. Please, stop to send me mails about collection.

I also would like to point out that I am very disappointed with my
purchased. The carseat that I received in the shop at Dierfieldwas not new,
but a display item. I couldn't return it since I need it immediately for a
travel abroad, but in normal cases I wouldn't accept the item.
I spoke with the store manager and it was the only available one.

Enrica Vincenzi
0554340641

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4147679